| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTriangleVertexCost Class Reference
[Geometry utilities]

The representation of a vertex in a triangle mesh. More...

`#include <csgeom/trimeshlod.h>`

Inheritance diagram for csTriangleVertexCost:

[legend]
List of all members.

## Public Member Functions
| csTriangleVertexCost ()
| ~csTriangleVertexCost ()
## Public Attributes
float | cost
| Precalculated minimal cost of collapsing this vertex to some other.
bool | deleted
| True if already deleted.
int | to_vertex
| Vertex to collapse to with minimal cost.

## Detailed Description

The representation of a vertex in a triangle mesh.

This is basically used as a temporary structure to be able to calculate the cost of collapsing this vertex more quickly.

Definition at line 40 of file trimeshlod.h.

## Member Data Documentation

float csTriangleVertexCost::cost

Precalculated minimal cost of collapsing this vertex to some other.

Definition at line 47 of file trimeshlod.h.

bool csTriangleVertexCost::deleted

True if already deleted.

Definition at line 44 of file trimeshlod.h.

int csTriangleVertexCost::to_vertex

Vertex to collapse to with minimal cost.

Definition at line 49 of file trimeshlod.h.

The documentation for this class was generated from the following file:

- csgeom/trimeshlod.h